com.google.gwt.uibinder.elementparsers

## Class UIObjectParser

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.UIObjectParser

- All Implemented Interfaces:
    ElementParser

      public class UIObjectParser
      extends java.lang.Object
      implements ElementParser

  Parser of all UIObject types. Provides parsing of debugId, addStyleNames, addStyleDependentNames. Also handles other setStyle* calls to ensure they happen before the addStyle* calls.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIObjectParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIObjectParser

          public UIObjectParser()

  - ### Method Detail

    - #### parse

          public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                            java.lang.String fieldName,
                            JClassType type,
                            com.google.gwt.uibinder.rebind.UiBinderWriter writer)
                     throws UnableToCompleteException

      Description copied from interface: `ElementParser`
      Parse the given element, generating the code to initialize it from the element's attributes and children.
      Specified by:
        `parse` in interface `ElementParser`
      Parameters:
        `elem` - the element to be parsed
        `fieldName` - the name of the widget field to be initialized
        `type` - TODO
        `writer` - the writer
      Throws:
        `UnableToCompleteException` - on error